Add 'debian/' from commit '56d4278e0eb78bdd1a4cdbe1e28cc0a512153335'

git-subtree-dir: debian
git-subtree-mainline: 389d2576a1
git-subtree-split: 56d4278e0e
This commit is contained in:
Benjamin Dauvergne 2016-01-08 12:17:48 +01:00
commit ff5d1fb261
12 changed files with 420 additions and 0 deletions

25
debian/barbacompta-manage vendored Executable file
View File

@ -0,0 +1,25 @@
#!/bin/sh
NAME=barbacompta
MANAGE="/usr/lib/$NAME/manage.py"
# load configuration
export BARBACOMPTA_SETTINGS_FILE=/etc/$NAME/config.py
# check user
if test x$1 = x"--forceuser"
then
shift
elif test $(id -un) != "$NAME"
then
echo "error: must use $0 with user ${NAME}"
exit 1
fi
if test $# -eq 0
then
python ${MANAGE} help
exit 1
fi
python ${MANAGE} "$@"

5
debian/changelog vendored Normal file
View File

@ -0,0 +1,5 @@
barbacompta (0.1.0-1) unstable; urgency=low
* Initial release ...
-- Jérôme Schneider <jschneider@entrouvert.com> Tue, 03 Feb 2015 18:20:05 +0100

1
debian/compat vendored Normal file
View File

@ -0,0 +1 @@
8

93
debian/config.py vendored Normal file
View File

@ -0,0 +1,93 @@
# Configuration for barbacompta
# You can override barbacompta default settings here
# For more information on settings see
# https://docs.djangoproject.com/en/1.7/topics/settings/
# WARNING! Quick-start development settings unsuitable for production!
# See https://docs.djangoproject.com/en/1.7/howto/deployment/checklist/
# Set default path
import os
VAR_DIR = '/var/lib/barbacompta'
STATIC_ROOT = os.path.join(VAR_DIR, 'collected-static')
MEDIA_ROOT = os.path.join(VAR_DIR, 'media')
TEMPLATE_DIRS = (os.path.join(VAR_DIR, 'templates'),) + TEMPLATE_DIRS
SECRET_KEY = file('/etc/barbacompta/secret').read()
DEBUG = False
TEMPLATE_DEBUG = False
ADMINS = (
('Benjamin Dauvergne', 'bdauvergne@entrouvert.com'),
)
# ALLOWED_HOSTS must be correct in production!
# See https://docs.djangoproject.com/en/dev/ref/settings/#allowed-hosts
ALLOWED_HOSTS = [
'gestion.entrouvert.org',
]
# Force SAML authentification
LOGIN_URL = '/accounts/mellon/login'
LOGOUT_URL = '/accounts/mellon/logout'
# Databases configuration
# Default: a postgresql local database named "barbacompta"
DATABASES = {
'default': {
'ENGINE': 'django.db.backends.postgresql_psycopg2', # Add 'postgresql_psycopg2', 'postgresql', 'mysql', 'sqlite3' or 'oracle'.
'NAME': 'barbacompta', # Or path to database file if using sqlite3.
'USER': 'barbacompta', # Not used with sqlite3.
'PASSWORD': '', # Not used with sqlite3.
'HOST': '', # Set to empty string for localhost. Not used with sqlite3.
'PORT': '', # Set to empty string for default. Not used with sqlite3.
}
}
LANGUAGE_CODE = 'fr-fr'
TIME_ZONE = 'Europe/Paris'
LOGGING = {
'version': 1,
'disable_existing_loggers': False,
'filters': {
'require_debug_false': {
'()': 'django.utils.log.RequireDebugFalse'
},
},
'formatters': {
'verbose': {
'format': '[%(asctime)s] %(levelname)s %(name)s.%(funcName)s: %(message)s',
'datefmt': '%Y-%m-%d %a %H:%M:%S'
},
'syslog': {
'format': '%(levelname)s %(name)s.%(funcName)s: %(message)s',
},
},
'handlers': {
'console': {
'level': 'DEBUG',
'class':'logging.StreamHandler',
'formatter': 'verbose',
},
'syslog': {
'level': 'DEBUG',
'address': '/dev/log',
'class': 'logging.handlers.SysLogHandler',
'formatter': 'syslog',
},
'mail_admins': {
'level': 'ERROR',
'filters': ['require_debug_false'],
'class': 'django.utils.log.AdminEmailHandler',
}
},
'loggers': {
'': {
'handlers': ['mail_admins', 'syslog'],
'level': 'INFO',
},
},
}

22
debian/control vendored Normal file
View File

@ -0,0 +1,22 @@
Source: barbacompta
Section: python
Priority: optional
Maintainer: Jérôme Schneider <jschneider@entrouvert.com>
Build-Depends: debhelper (>= 8.0.0),
python-django,
python-setuptools
Standards-Version: 3.9.4
Homepage: https://dev.entrouvert.org/projects/barbacompta
X-Python-Version: >= 2.7
Package: barbacompta
Architecture: all
Depends: ${python:Depends},
${misc:Depends},
gunicorn,
python-django (>= 1.7),
python-django (<< 1.8),
python-setuptools,
python-psycopg2
Suggests: python-django-debug-toolbar
Description: Logiciel de compta/facturation interne

9
debian/dirs vendored Normal file
View File

@ -0,0 +1,9 @@
/etc/default
/etc/barbacompta
/usr/lib/barbacompta
/var/lib/barbacompta
/var/lib/barbacompta/collected-static
/var/lib/barbacompta/media
/var/lib/barbacompta/static
/var/lib/barbacompta/templates
/var/log/barbacompta

194
debian/init.d vendored Executable file
View File

@ -0,0 +1,194 @@
#!/bin/sh
### BEGIN INIT INFO
# Provides: barbacompta
# Required-Start: $network $local_fs
# Required-Stop:
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Barbacompta logiciel de compta/facturation
# Description: Barbacompta logiciel de compta/facturation d'EO
### END INIT INFO
# Author: Jérôme Schneider <jschneider@entrouvert.com>
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC=Barbacompta
NAME=barbacompta
DAEMON=/usr/bin/gunicorn
RUN_DIR=/run/$NAME
PIDFILE=$RUN_DIR/$NAME.pid
LOG_DIR=/var/log/$NAME
SCRIPTNAME=/etc/init.d/$NAME
BIND=unix:$RUN_DIR/$NAME.sock
WORKERS=5
TIMEOUT=10
BARBACOMPTA_SETTINGS_FILE=/etc/$NAME/config.py
MANAGE_SCRIPT="/usr/bin/$NAME-manage"
USER=$NAME
GROUP=$NAME
# Exit if the package is not installed
[ -x $DAEMON ] || exit 0
# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
DAEMON_ARGS=${DAEMON_ARGS:-"--pid $PIDFILE \
--user $USER --group $GROUP \
--daemon \
--access-logfile $LOG_DIR/gunicorn-access.log \
--log-file $LOG_DIR/gunicorn-error.log \
--bind=$BIND \
--workers=$WORKERS \
--worker-class=sync \
--timeout=$TIMEOUT \
--name $NAME \
eo_gestion.wsgi:application"}
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions
# Create /run directory
if [ ! -d $RUN_DIR ]; then
install -d -m 755 -o $USER -g $GROUP $RUN_DIR
fi
# environment for wsgi & settings
export BARBACOMPTA_SETTINGS_FILE
#
# Function that starts the daemon/service
#
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
|| return 1
start-stop-daemon --start --quiet --exec $DAEMON -- \
$DAEMON_ARGS \
|| return 2
}
#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
# Wait for children to finish too if this is a daemon that forks
# and if the daemon is only ever run from this initscript.
# If the above conditions are not satisfied then add some other code
# that waits for the process to drop all resources that could be
# needed by services started subsequently. A last resort is to
# sleep for some time.
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
[ "$?" = 2 ] && return 2
# Many daemons don't delete their pidfiles when they exit.
rm -f $PIDFILE
return "$RETVAL"
}
#
# Function that sends a SIGHUP to the daemon/service
#
do_reload() {
#
# If the daemon can reload its configuration without
# restarting (for example, when it is sent a SIGHUP),
# then implement that here.
#
start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
return 0
}
do_migrate() {
log_action_msg "Applying new migrations .."
su $USER -p -c "$MANAGE_SCRIPT migrate"
log_action_msg ".. done"
}
do_collectstatic() {
log_action_msg "Collect static files.."
su $USER -p -c "$MANAGE_SCRIPT collectstatic --noinput --link"
log_action_msg ".. done"
}
case "$1" in
start)
log_daemon_msg "Starting $DESC " "$NAME"
do_migrate
do_collectstatic
do_start
case "$?" in
0|1) log_end_msg 0 ;;
2) log_end_msg 1 ;;
esac
;;
stop)
log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) log_end_msg 0 ;;
2) log_end_msg 1 ;;
esac
;;
status)
status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
;;
reload|force-reload)
#
# If do_reload() is not implemented then leave this commented out
# and leave 'force-reload' as an alias for 'restart'.
#
log_daemon_msg "Reloading $DESC" "$NAME"
do_collectstatic
do_migrate
do_reload
log_end_msg $?
;;
restart|force-reload)
#
# If the "reload" option is implemented then remove the
# 'force-reload' alias
#
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
0|1)
do_migrate
do_collectstatic
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
echo "Usage: $SCRIPTNAME {start|stop|status|restart|reload|force-reload}" >&2
exit 3
;;
esac

2
debian/install vendored Normal file
View File

@ -0,0 +1,2 @@
debian/barbacompta-manage /usr/bin
debian/config.py /etc/barbacompta

46
debian/postinst vendored Normal file
View File

@ -0,0 +1,46 @@
#! /bin/sh
set -e
NAME=barbacompta
MANAGE_SCRIPT="/usr/bin/$NAME-manage"
case "$1" in
configure)
# make sure the administrative user exists
if ! getent passwd $NAME >/dev/null; then
adduser --disabled-password --quiet --system \
--no-create-home --home /var/lib/$NAME \
--gecos "$NAME software user" --group $NAME
fi
# ensure dirs ownership
chown $NAME:$NAME /var/log/$NAME
chown $NAME:$NAME /var/lib/$NAME/collected-static
chown $NAME:$NAME /var/lib/$NAME/media
# create a secret file
SECRET_FILE=/etc/$NAME/secret
if [ ! -f $SECRET_FILE ]; then
echo -n "Generating Django secret..." >&2
cat /dev/urandom | tr -dc [:alnum:]-_\!\%\^:\; | head -c70 > $SECRET_FILE
chown root:$NAME $SECRET_FILE
chmod 0440 $SECRET_FILE
fi
# populate /var/lib/$NAME/collected-static
su $NAME -p -c "$MANAGE_SCRIPT collectstatic --noinput --link"
;;
reconfigure)
su $NAME -p -c "$MANAGE_SCRIPT collectstatic --noinput --link"
;;
abort-upgrade|abort-remove|abort-deconfigure)
;;
*)
echo "postinst called with unknown argument \`$1'" >&2
exit 1
;;
esac
#DEBHELPER#
exit 0

7
debian/pydist-overrides vendored Normal file
View File

@ -0,0 +1,7 @@
html5lib python-html5lib
reportlab python-reportlab
django-mellon python-django-mellon
django-model-utils python-django-model-utils
pyPdf python-pypdf
pil python-imaging
xhtml2pdf python-xhtml2pdf

15
debian/rules vendored Executable file
View File

@ -0,0 +1,15 @@
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
BUILD_DIR := 'debian/barbacompta'
%:
dh $@ --with python2
override_dh_install:
dh_install
mv $(BUILD_DIR)/usr/bin/manage.py $(BUILD_DIR)/usr/lib/barbacompta/manage.py

1
debian/source/format vendored Normal file
View File

@ -0,0 +1 @@
3.0 (quilt)